Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001967All Inform front-end applications[IDEs] User Interfacepublic2016-11-11 03:172016-12-02 08:04
ReporterMattD 
Assigned ToDavidK 
PrioritynormalSeverityseriousReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6M62 
Target VersionFixed in Version 
Summary0001967: Gibberish on printing -2147483648 (smallest Glulx number)
DescriptionSection 15.2 of Inform manual states that the smallest number represented in Glulx is -2147483648, yet the code supplied prints gibberish. (-2147483647 is printed correctly.)
Minimal Source Text To Reproduce
When play begins:
	let n be -2147483648;
	say "n=[n].";
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004586)
DavidK (developer)
2016-11-11 07:07

Test case works in Glulxe, but not Git, so this is probably a bug in the Git interpreter.
(0004587)
DavidK (developer)
2016-11-13 13:24

This is definitely a bug in Git: https://github.com/DavidKinder/Git/issues/8 [^]
(0004588)
zarf (developer)
2016-11-14 17:13

I've updated the Glulxercise test (http://eblong.com/zarf/glulx/glulxercise.ulx [^]) to test this case.
(0004617)
DavidK (developer)
2016-12-02 08:04

Fixed with the release of Git 1.3.5

- Issue History
Date Modified Username Field Change
2016-11-11 03:17 MattD New Issue
2016-11-11 07:06 DavidK Summary Gibberesh on printing -2147483648 (smallest Glulx number) => Gibberish on printing -2147483648 (smallest Glulx number)
2016-11-11 07:07 DavidK Note Added: 0004586
2016-11-13 13:24 DavidK Note Added: 0004587
2016-11-14 07:04 DavidK Project Core Inform => All Inform front-end applications
2016-11-14 07:05 DavidK Category Equations, units, arithmetic => User Interface
2016-11-14 07:06 DavidK Assigned To => DavidK
2016-11-14 07:06 DavidK Status new => assigned
2016-11-14 17:13 zarf Note Added: 0004588
2016-12-02 08:04 DavidK Note Added: 0004617
2016-12-02 08:04 DavidK Status assigned => resolved
2016-12-02 08:04 DavidK Resolution open => fixed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker